package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaRecMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaRec;
import com.goldenwater.slaj.ttsa.service.IBisTtsaRecService;

@Service
public class BisTtsaRecServiceImpl implements IBisTtsaRecService {
    @Autowired
    private BisTtsaRecMapper bisTtsaRecMapper;

    @Override
    public BisTtsaRec selectBisTtsaRecByGuid(String guid) {
        return bisTtsaRecMapper.selectBisTtsaRecByGuid(guid);
    }

    @Override
    public List<BisTtsaRec> selectBisTtsaRecList(BisTtsaRec bisTtsaRec) {
        return bisTtsaRecMapper.selectBisTtsaRecList(bisTtsaRec);
    }

    @Override
    public int insertBisTtsaRec(BisTtsaRec bisTtsaRec) {
        return bisTtsaRecMapper.insertBisTtsaRec(bisTtsaRec);
    }

    @Override
    public int updateBisTtsaRec(BisTtsaRec bisTtsaRec) {
        return bisTtsaRecMapper.updateBisTtsaRec(bisTtsaRec);
    }

    @Override
    public int deleteBisTtsaRecByGuid(String guid) {
        return bisTtsaRecMapper.deleteBisTtsaRecByGuid(guid);
    }

    @Override
    public int deleteBisTtsaRecByGuids(String[] guids) {
        return bisTtsaRecMapper.deleteBisTtsaRecByGuids(guids);
    }
}
